# Support Ticket

## API Endpoints

### List of Campaign Event Tickets

Return list of campaign events

```
GET http://api.tyrads.com/publisher/campaigns/{campaignId}/support-tickets
```

**Example:**

## GET /publisher/campaigns/{campaignId}/support-tickets

>

```json
{"openapi":"3.0.0","info":{"title":"TyrAds Publisher API","version":"1.0.0"},"servers":[{"url":"http://api.tyrads.com"}],"paths":{"/publisher/campaigns/{campaignId}/support-tickets":{"get":{"tags":["default"],"parameters":[{"name":"X-Api-Key","in":"header","schema":{"type":"string"},"required":true,"description":"Publisher API Key"},{"name":"X-Api-Secret","in":"header","schema":{"type":"string"},"required":true,"description":"Publisher API Secret"},{"name":"X-User-ID","in":"header","schema":{"type":"string"},"required":true,"description":"Publisher User ID"},{"in":"path","name":"campaignId","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the campaign to get"}],"responses":{"200":{"description":"Status OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignSupportTickets"}}}}}}}},"components":{"schemas":{"CampaignSupportTickets":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/CampaignEventSupportTicket"}},"message":{"type":"string"}}},"CampaignEventSupportTicket":{"type":"object","properties":{"id":{"type":"integer","nullable":false},"identifier":{"type":"string","nullable":true},"eventName":{"type":"string","nullable":false},"eventDescription":{"type":"string","nullable":true},"payoutTypeId":{"type":"integer","nullable":true},"payoutType":{"type":"string","nullable":true},"payoutAmount":{"type":"number","nullable":false},"isTicketSubmitted":{"type":"boolean","nullable":false},"eventCategory":{"type":"string","nullable":false},"ticketStatus":{"type":"string","enum":["new","approved","rejected"],"nullable":true,"description":"can be null if ticket not yet submitted"},"conversionStatus":{"type":"string","enum":["approved","rejected","pending","invalid","flagged"],"nullable":true,"description":"can be null if conversion not yet available"}}}}}}
```

### Submit Support Ticket

Submit support ticket

```
POST http://api.tyrads.com/publisher/campaigns/{campaignId}/support-tickets/{id}
```

## POST /publisher/campaigns/{campaignId}/support-tickets/{id}

>

```json
{"openapi":"3.0.0","info":{"title":"TyrAds Publisher API","version":"1.0.0"},"servers":[{"url":"http://api.tyrads.com"}],"paths":{"/publisher/campaigns/{campaignId}/support-tickets/{id}":{"post":{"tags":["default"],"parameters":[{"name":"X-Api-Key","in":"header","schema":{"type":"string"},"required":true,"description":"Publisher API Key"},{"name":"X-Api-Secret","in":"header","schema":{"type":"string"},"required":true,"description":"Publisher API Secret"},{"name":"X-User-ID","in":"header","schema":{"type":"string"},"required":true,"description":"Publisher User ID"},{"in":"path","name":"campaignId","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the campaign to submit"},{"in":"path","name":"id","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the campaign event to submit"}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"orderId":{"type":"string","description":"The Order ID. **Required** if the event has category `Purchased`","nullable":true},"gamePlayerId":{"type":"string","description":"The Game Player ID.","nullable":false},"image":{"type":"string","format":"binary","description":"The screenshot image.","nullable":false}}},"encoding":{"image":{"contentType":"image/png, image/jpeg, image/jpg"}}}}},"responses":{"200":{"description":"Status OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignSupportTicketSubmission"}}}},"404":{"description":"Some resource are not found (e.g Install Conversion)","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"error message"}}}}}}}}}},"components":{"schemas":{"CampaignSupportTicketSubmission":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"integer","nullable":false}}},"message":{"type":"string"}}}}}}
```

## API References

### Campaign Events

| Attribute           | Type    | Description                                                               |
| ------------------- | ------- | ------------------------------------------------------------------------- |
| `id`                | integer | Campaign Publisher Event ID                                               |
| `identifier`        | string  | Campaign event identifier                                                 |
| `eventName`         | string  | Campaign event name                                                       |
| `eventDescription`  | string  | Campaign event description                                                |
| `payoutTypeId`      | integer | ID of payout type                                                         |
| `payoutType`        | string  | Payout type name                                                          |
| `payoutAmount`      | float   | Campaign event payout amount                                              |
| `isTicketSubmitted` | boolean | Is ticket submitted                                                       |
| `eventCategory`     | string  | Event category name                                                       |
| `ticketStatus`      | string  | Ticket status `new`, `approved`, or `rejected`                            |
| `conversionStatus`  | string  | Conversion status `approved`, `rejected`, `pending`, `invalid`, `flagged` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tyrads.com/publishers-integrations/publisher-api/api-resources/campaign-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
